import type { EquipmentViewModel } from "@/viewmodels/admin/unit/equipment/equipment.models";
import { equipmentTypeDemoData } from "./equipmentType";
import { inspectionDemoData } from "./inspectionPlan";

export const equipmentDemoData: Array<EquipmentViewModel> = [
  {
    id: "abc",
    code: "0456984224498",
    name: "B-Schlauch",
    location: "HLF",
    commissioned: new Date(),
    decommissioned: undefined,
    equipmentTypeId: equipmentTypeDemoData[0].id,
    equipmentType: equipmentTypeDemoData[0],
    inspections: [inspectionDemoData[0]],
  },
];
