import type { EquipmentViewModel } from "../equipment/equipment.models";
import type { VehicleViewModel } from "../vehicle/vehicle.models";
import type { WearableViewModel } from "../wearable/wearable.models";

export interface DamageReportViewModel {
  id: string;
  reported: Date;
  status: string;
  done: boolean;
  description: string;
  providedImage?: string;
  relatedId: string;
  related: EquipmentViewModel | VehicleViewModel | WearableViewModel;
}

export interface CreateDamageReportViewModel {
  description: string;
  affectedId: string;
  affected: "equipment" | "vehicle" | "wearable";
}

export interface UpdateDamageReportViewModel {
  id: string;
  status: string;
  done: boolean;
}
