import type { InspectionViewModel } from "../inspection/inspection.models";
import type { VehicleTypeViewModel } from "../vehicleType/vehicleType.models";

export interface VehicleViewModel {
  id: string;
  code?: string;
  name: string;
  location: string;
  commissioned: Date;
  decommissioned?: Date;
  vehicleTypeId: string;
  vehicleType: VehicleTypeViewModel;
  inspections: Array<InspectionViewModel>;
}

export interface CreateVehicleViewModel {
  code?: string;
  name: string;
  location: string;
  commissioned: Date;
  vehicleTypeId: string;
}

export interface UpdateVehicleViewModel {
  id: string;
  code?: string;
  name: string;
  location: string;
  commissioned: Date;
  decommissioned?: Date;
}
